##################################################################
#
#   makefile
# 
#   for the MARS software
#
##################################################################
# @maintitle

# @code

#
#  please change all system depend values in the 
#  config.mk.${OSTYPE} file 
#
#
include ../Makefile.conf.$(OSTYPE)
include ../Makefile.conf.general

# @endcode 

INCLUDES = -I. -I.. -I../incl -I../base

# @code 

CINT     = Candrv
LIB      = candrv.a

#------------------------------------------------------------------------------

.SUFFIXES: .c .cc .cxx .h .hxx .o 

SRCFILES = vmodican.cc \
	   sdolist.cc \
	   canopen.cc \
           nodedrv.cc \
	   network.cc

SRCS    = $(SRCFILES)
HEADERS = $(SRCFILES:.cc=.h)
OBJS    = $(SRCFILES:.cc=.o) 
CINTHEADERS = $(HEADERS)

############################################################

all: $(LIB)

include ../Makefile.rules

clean:	rmlib rmcint rmobjs rmcore

mrproper:	clean rmbak

# @endcode

